nxt.ms

## Class CurrencyFounderHome

- java.lang.Object
- - nxt.ms.CurrencyFounderHome

-     public final class CurrencyFounderHome
      extends java.lang.Object

  Each CurrencyFounder instance represents a single founder contribution for a non issued currency Once the currency is issued all founder contributions are removed In case the currency is not issued because of insufficient funding, all funds are returned to the founders

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `CurrencyFounderHome.CurrencyFounder`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CurrencyFounderHome` | `forChain(ChildChain childChain)`
    `DbIterator<CurrencyFounderHome.CurrencyFounder>` | `getCurrencyFounders(long currencyId, int from, int to)`
    `CurrencyFounderHome.CurrencyFounder` | `getFounder(long currencyId, long accountId)`
    `DbIterator<CurrencyFounderHome.CurrencyFounder>` | `getFounderCurrencies(long accountId, int from, int to)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### forChain

          public static CurrencyFounderHome forChain(ChildChain childChain)

    - #### getFounder

          public CurrencyFounderHome.CurrencyFounder getFounder(long currencyId,
                                                                long accountId)

    - #### getCurrencyFounders

          public DbIterator<CurrencyFounderHome.CurrencyFounder> getCurrencyFounders(long currencyId,
                                                                                     int from,
                                                                                     int to)

    - #### getFounderCurrencies

          public DbIterator<CurrencyFounderHome.CurrencyFounder> getFounderCurrencies(long accountId,
                                                                                      int from,
                                                                                      int to)